[English](./README.md) | 简体中文

![](https://www.nocobase.com/images/demo/11.png)  

**注意:** 📌

NocoBase 正处在早期开发阶段，可能变动频繁，请谨慎用于生产环境。

## NocoBase 是什么

NocoBase 是一个极易扩展的开源无代码开发平台。
无需编程，使用 NocoBase 搭建自己的协作平台、管理系统，只需要几分钟时间。 

中文官网：  
https://cn.nocobase.com/

在线体验：  
https://demo-cn.nocobase.com/new

文档：  
https://docs-cn.nocobase.com/

## 适用场景

如果你有以下需求，NocoBase 就是为你设计的：

- 开发组织内部管理系统
- 通过无代码开发，满足大部分业务需求
- 无代码开发在操作上足够简单，满足非开发人员；在功能上足够灵活，接近原生开发
- 可以非常方便的进行扩展开发
- 私有部署，掌控全部代码和数据
- 可免费使用，也可以付费获得更多技术支持

## 与众不同之处

### 1. “数据结构”与“使用界面”分离

多数以表单、表格或者流程驱动的无代码产品都是在使用界面上直接创建数据结构，比如 Airtable 在表格里新增一列就是新增一个字段。这样的好处是使用简单，不足是功能和灵活性受限，难以满足较复杂场景的需求。

NocoBase 采用数据结构与使用界面分离的设计思路，可以为数据表创建任意数量、任意形态的区块（数据视图），每个区块里可以定义不同的样式、文案、操作。这样既兼顾了无代码的简单操作，又具备了原生开发的灵活性。

![2.collection-block.png](https://docs-cn.nocobase.com/static/2.collection-block.7dcc928f.png)

### 2. “配置”与“使用”融为一体
NocoBase 可以开发复杂和有特色的业务系统，但这并意味着需要复杂和专业的操作。只需一次点击，就可以在使用界面上显示出配置选项，这意味着具备系统配置权限的管理员可以用所见即所得的操作方式，直接配置用户的使用界面。

![2.user-root.gif](https://docs-cn.nocobase.com/static/2.user-root.824f5ef2.gif)

### 3. 功能即插件

NocoBase 采用插件化架构，所有新功能都可以通过开发和安装插件来实现。未来我们将搭建插件市场，扩展功能就像在手机上安装 APP 一样简单。

![](https://www.nocobase.com/images/NocoBaseMindMapLite.png)

[点此查看完整图片](https://www.nocobase.com/images/NocoBaseMindMap.png)

## 联系

如果你希望加入我们一起开发 NocoBase，或者需要提供商业服务，欢迎通过邮件联系我们：hello@nocobase.com  

或者添加我们的微信：  

![](https://www.nocobase.com/images/wechat.png)  

## 安装

NocoBase 支持三种安装方式：

- <a target="_blank" href="https://docs-cn.nocobase.com/getting-started/installation/docker-compose">Docker 安装（推荐）</a>

   适合无代码场景，不需要写代码。升级时，下载最新镜像并重启即可。

- <a target="_blank" href="https://docs-cn.nocobase.com/getting-started/installation/create-nocobase-app">create-nocobase-app 安装</a>

   项目的业务代码完全独立，支持低代码开发。

- <a target="_blank" href="https://docs-cn.nocobase.com/getting-started/installation/git-clone">Git 源码安装</a>

   如果你想体验最新未发布版本，或者想参与贡献，需要在源码上进行修改、调试，建议选择这种安装方式，对开发技术水平要求较高，如果代码有更新，可以走 git 流程拉取最新代码。
