# Introduction

![](https://nocobase.oss-cn-beijing.aliyuncs.com/bbcedd403d31cd1ccc4e9709581f5c2f.png)  

**Note:** 📌

NocoBase is in early stage of development and is subject to frequent changes, please use caution in production environments.

## What is NocoBase

NocoBase is a scalability-first, open-source no-code development platform. No programming required, build your own collaboration platform, management system with NocoBase in minutes.

Homepage:
https://www.nocobase.com/  

Online Demo:
https://demo.nocobase.com/new

Contact Us:
hello@nocobase.com

## Features

- **Open source and free**
	- Unrestricted commercial use under the Apache-2.0 license
	- Full code ownership, private deployment, private and secure data
	- Free to expand and develop for actual needs
	- Good ecological support
- **Strong no-code capability**
	- Data Model
		- Create independent data models using dozens of field types such as text, date, number, attachment, option, icon, etc., and various association relationships such as one-to-one, one-to-many, many-to-many, etc.
	- Block
		- Display and manipulate data within a page using a free combination of block types such as tables, forms, kanban, calendars, details, etc.
	- ACL
		- Role-based control of user's system configuration rights, data action rights and menu access rights.
	- Workflow
		- Repetitive tasks are replaced by automation to increase efficiency. Manual approval is required for important matters.
	- Menu
		- You can group menus, support adding pages and links, and support unlimited submenus.
	- Action
		- Support filtering, exporting, adding, deleting, modifying, viewing and other operations to process data, which can be extended to more types.
- **Built for extended development**
	- Microkernel architecture, flexible and easy to extend, with a robust plug-in system
	- Node.js-based, with popular frameworks and technologies, including Koa, Sequelize, React, Formily, Ant Design, etc.
	- Progressive development, easy for getting-started, friendly to newcomers
	- No binding, no strong dependencies, can be used in any combination or extensions, can be used in existing projects

## Architecture

![](https://www.nocobase.com/images/NocoBaseMindMapLite.png)

[Click here to view the full image](https://www.nocobase.com/images/NocoBaseMindMap.png)
